Package org.springframework.aop.config

# Class MethodLocatingFactoryBean

java.lang.Object
org.springframework.aop.config.MethodLocatingFactoryBean

All Implemented Interfaces:
  `org.springframework.beans.factory.Aware`, `org.springframework.beans.factory.BeanFactoryAware`, `org.springframework.beans.factory.FactoryBean<Method>`

public class MethodLocatingFactoryBean extends Object implements org.springframework.beans.factory.FactoryBean<Method>, org.springframework.beans.factory.BeanFactoryAware
`FactoryBean` implementation that locates a `Method` on a specified bean.

Since:
  2.0
Author:
  Rob Harrop

## Field Summary

### Fields inherited from interface org.springframework.beans.factory.FactoryBean

`OBJECT_TYPE_ATTRIBUTE`

## Constructor Summary

Constructors
Constructor
Description
`MethodLocatingFactoryBean()`

## Method Summary

Modifier and Type
Method
Description
`Method`
`getObject()`
`Class<Method>`
`getObjectType()`
`boolean`
`isSingleton()`
`void`
`setBeanFactory(org.springframework.beans.factory.BeanFactory beanFactory)`
`void`
`setMethodName(String methodName)`
Set the name of the `Method` to locate.
`void`
`setTargetBeanName(String targetBeanName)`
Set the name of the bean to locate the `Method` on.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MethodLocatingFactoryBean

public MethodLocatingFactoryBean()

## Method Details

### setTargetBeanName

public void setTargetBeanName(String targetBeanName)
Set the name of the bean to locate the `Method` on.

This property is required.

Parameters:
  `targetBeanName` - the name of the bean to locate the `Method` on

### setMethodName

public void setMethodName(String methodName)
Set the name of the `Method` to locate.

This property is required.

Parameters:
  `methodName` - the name of the `Method` to locate

### setBeanFactory

public void setBeanFactory(org.springframework.beans.factory.BeanFactory beanFactory)

Specified by:
  `setBeanFactory` in interface `org.springframework.beans.factory.BeanFactoryAware`

### getObject

@Nullable public Method getObject() throws Exception

Specified by:
  `getObject` in interface `org.springframework.beans.factory.FactoryBean<Method>`
Throws:
  `Exception`

### getObjectType

public Class<Method> getObjectType()

Specified by:
  `getObjectType` in interface `org.springframework.beans.factory.FactoryBean<Method>`

### isSingleton

public boolean isSingleton()

Specified by:
  `isSingleton` in interface `org.springframework.beans.factory.FactoryBean<Method>`